namespace SafeCampus.Web.Core.Controllers.Application.Business;

public class DfieldInput: ControllersNameInput
{
    [IdNotNull(ErrorMessage = "id不能为空")]
    public string Id { get; set; }
}

public class ControllersNameInput
{
    [IdNotNull(ErrorMessage = "name不能为空")]
    public string Name { get; set; }
    /// <summary>
    /// 专业id
    /// </summary>
    public long MajorId { get; set; }
}
public class ControllersIdInput 
{
    [IdNotNull(ErrorMessage = "id不能为空")]
    public string Id { get; set; }
}

public class PersonUnBindDfieInput
{
    /// <summary>
    /// 人员id
    /// </summary>
    [IdNotNull(ErrorMessage = "人员id不能为空")]
    public string PersonId { get; set; }
    /// <summary>
    /// 底库id
    /// </summary>
    [IdNotNull(ErrorMessage = "底库id不能为空")]
    public string PersonSetId { get; set; }
}